Index Page dafdc_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void dafdc_c ( SpiceInt handle )

#### Abstract

       Delete the entire comment area of a specified DAF file.

#### Required_Reading

       DAF

#### Keywords

       None.

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   The handle of a binary DAF opened for writing.

#### Detailed_Input

       handle    is the handle of a binary DAF that is to have its entire
                 comment area deleted. The DAF must have been opened
                 with write access.

#### Detailed_Output

       None.

#### Parameters

       None.

#### Exceptions

       1)   If the binary DAF attached to `handle' is not open with write
            access, an error will be signaled by a routine called by
            this routine.

#### Files

       See argument `handle' in $ Detailed_Input.

#### Particulars

       A binary DAF contains an area which is reserved for storing
       annotations or descriptive textual information about the data
       contained in a file. This area is referred to as the ``comment
       area'' of the file. The comment area of a DAF is a line oriented
       medium for storing textual information. The comment area preserves
       any leading or embedded white space in the line(s) of text which are
       stored, so that the appearance of the of information will be
       unchanged when it is retrieved (extracted) at some other time.
       Trailing blanks, however, are NOT preserved, due to the way that
       character strings are represented in standard Fortran 77.

       This routine will delete the entire comment area from the binary DAF
       attached to `handle'. The size of the binary DAF will remain
       unchanged. The space that was used by the comment records is
       reclaimed:  the data area of the DAF is shifted toward the beginning

#### Examples

       Let

             handle   be the handle of a DAF which has been opened
                      with write access.

       The call

             dafdc_c ( handle );

       deletes the entire comment area of the binary DAF attached to
       `handle'.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman   (JPL)
       K.R. Gehringer (JPL)

#### Version

       -CSPICE Version 1.0.0, 16-NOV-2006 (NJB) (KRG)

#### Index_Entries

        delete DAF comment area

#### Link to routine dafdc_c source file dafdc_c.c

    Wed Apr  5 17:54:30 2017